package kcg.faics.tg;

/**
 * 국제여객선 운항횟수 타입.
 * 
 * @author kimnomin
 *
 */
public enum FerryRunTermType {
	/**
	 * 주.
	 */
	WEEK("A", "주"),
	/**
	 * 일.
	 */
	DAY("B", "일");
	
	/**
	 * code.
	 */
	private final String code;
	/**
	 * value.
	 */
	private final String value;

	/**
	 * @return the code
	 */
	public final String getCode() {
		return code;
	}
	/**
	 * @return the value
	 */
	public final String getValue() {
		return value;
	}
	/**
	 * code에 해당하는 value를 반환한다.
	 * 
	 * @param code code
	 * @return value
	 */
	public static final String getValue(final String code) {
		String value = "";
		
		for (FerryRunTermType item: FerryRunTermType.values()) {
			if (item.getCode().equalsIgnoreCase(code)) {
				value = item.getValue();
				break;
			}
		}
		
		return value;
	}
	/**
	 * 생성자.
	 * 
	 * @param code 코드값
	 * @param value 표출값
	 */
	FerryRunTermType(final String code, final String value) {
		this.code = code;
		this.value = value;
	}
}
